Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fontbox.ttf
Class CMAPEncodingEntry

    java.lang.Object
      org.fontbox.ttf.CMAPEncodingEntry

public class CMAPEncodingEntry
extends Object

An encoding entry for a cmap.

Version:
  $Revision: 1.2 $
Author:
  Ben Litchfield

Constructor Summary
`CMAPEncodingEntry()`

Method Summary
`int[]` | `getGlyphIdToCharacterCode()`
`int` | `getPlatformEncodingId()`
`int` | `getPlatformId()`
`void` | `initData(TrueTypeFont ttf, TTFDataStream data)` This will read the required data from the stream.
`void` | `initSubtable(TrueTypeFont ttf, TTFDataStream data)` This will read the required data from the stream.
`void` | `setGlyphIdToCharacterCode(int[] glyphIdToCharacterCodeValue)`
`void` | `setPlatformEncodingId(int platformEncodingIdValue)`
`void` | `setPlatformId(int platformIdValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMAPEncodingEntry

    public CMAPEncodingEntry()

Method Detail

### initData

    public void initData(TrueTypeFont ttf,
                         TTFDataStream data)
                  throws IOException

  This will read the required data from the stream.

  Parameters:
    `ttf` - The font that is being read.
    `data` - The stream to read the data from.
  Throws:
    `IOException` - If there is an error reading the data.

### initSubtable

    public void initSubtable(TrueTypeFont ttf,
                             TTFDataStream data)
                      throws IOException

  This will read the required data from the stream.

  Parameters:
    `ttf` - The font that is being read.
    `data` - The stream to read the data from.
  Throws:
    `IOException` - If there is an error reading the data.

### getGlyphIdToCharacterCode

    public int[] getGlyphIdToCharacterCode()

  Returns:
    Returns the glyphIdToCharacterCode.

### setGlyphIdToCharacterCode

    public void setGlyphIdToCharacterCode(int[] glyphIdToCharacterCodeValue)

  Parameters:
    `glyphIdToCharacterCodeValue` - The glyphIdToCharacterCode to set.

### getPlatformEncodingId

    public int getPlatformEncodingId()

  Returns:
    Returns the platformEncodingId.

### setPlatformEncodingId

    public void setPlatformEncodingId(int platformEncodingIdValue)

  Parameters:
    `platformEncodingIdValue` - The platformEncodingId to set.

### getPlatformId

    public int getPlatformId()

  Returns:
    Returns the platformId.

### setPlatformId

    public void setPlatformId(int platformIdValue)

  Parameters:
    `platformIdValue` - The platformId to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD